php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #36753 Can't get size of SWF images because zLib is missing
Submitted: 2006-03-16 01:55 UTC Modified: 2006-03-24 22:04 UTC
From: rafaelhfaria at terra dot com dot br Assigned:
Status: Not a bug Package: GetImageSize related
PHP Version: 5.1.2 OS: FreeBSD 6.0
Private report: No CVE-ID: None
 [2006-03-16 01:55 UTC] rafaelhfaria at terra dot com dot br
Description:
------------
When I try to get a size of compressed SWF image, I get this NOTICE error:
"The image is a compressed SWF file, but you do not have a static version of the zlib extension enabled."

But I have zLib compiled, e enabled:

ZLib Support  enabled  
Stream Wrapper support  compress.zlib://  
Stream Filter support  zlib.inflate, zlib.deflate  
Compiled Version  1.2.2  
Linked Version  1.2.2


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2006-03-16 08:36 UTC] tony2001@php.net
What was the configure line used?
 [2006-03-16 20:26 UTC] rafaelhfaria at terra dot com dot br
I have used PORTS instalation from FreeBSD...

But in php_info(); it shows:

'./configure' '--enable-versioning' '--enable-memory-limit' '--with-layout=GNU' '--with-config-file-scan-dir=/usr/local/etc/php' '--disable-all' '--enable-libxml' '--with-libxml-dir=/usr/local' '--enable-reflection' '--enable-spl' '--with-regex=php' '--with-apxs2=/usr/local/sbin/apxs' '--enable-zend-multibyte' '--prefix=/usr/local' 'i386-portbld-freebsd6.0'
 [2006-03-16 20:31 UTC] rafaelhfaria at terra dot com dot br
Anyway, this is my php_info();

http://200.178.71.10/teste.php

PS: I?m using Zend Optimizer 3 (beta).
 [2006-03-16 22:45 UTC] tony2001@php.net
The error message is pretty clear: to be able to do it you need zlib compiled statically.
No bug here.
 [2006-03-24 18:16 UTC] rafaelhfaria at terra dot com dot br
How do I compile a Static version of zLib in PHP 5.1.2 ?
I tried --enable-static (without success), --enable-static=zlib (without success too).

I only get shared ext.

I see that in PHP 5.1.2 in FreeBSD 6 Ports, all extensions are compiled like shared ext. I think that a lot of people will get this same error.
 [2006-03-24 22:04 UTC] tony2001@php.net
./configure --help and --with-zlib will help you.

>I see that in PHP 5.1.2 in FreeBSD 6 Ports, 
>all extensions are compiled like shared ext.
Agree, compiling *all* extensions as shared is stupid, please address to the FreeBSD port maintainer.
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Fri Apr 19 17:01:25 2019 UTC